Get Current Asset Notional Value¶
Returns the total current value of all assets based on their live market prices
Endpoint¶
Parameters¶
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Optional | String | Business line ID (Query all asset by default) |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | See data object details below |
data (object)
| Field | Type | Description |
|---|---|---|
| current_asset | Object[] | Asset object list |
| cold_market_value | Decimal | Cold storage asset notional value (USD) |
| cold_marketValue_cny | Decimal | Cold storage asset notional value (CNY) |
| hot_market_value | Decimal | Hot storage asset notional value (USD) |
| hot_marketValue_cny | Decimal | Hot storage asset notional value (CNY) |
| total_market_value | Decimal | Total notional value (USD) |
| total_market_value_cny | Decimal | Total notional value (CNY) |
| coins | Object[] | Asset notional value list (see coins object details below) |
coins (object)
| Field | Type | Description |
|---|---|---|
| coin_name | String | Asset name |
| amount | Long | Asset amount (minimum unit) |
| value | Decimal | Notional value |
| value_cny | Decimal | Notional value (CNY) |
| store_type | String | Storage type Allowed values: PRIME_HOT, PRIME_COLD_LV1 |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"cold_market_value": 0.0,
"cold_market_value_cny": 0.0,
"hot_market_value": 5520.0336,
"hot_market_value_cny": 38534.7474,
"total_market_value": 5520.0336,
"total_market_value_cny": 38534.7474,
"coins": [
{
"coin_name": "BCH",
"amount": 10995558,
"value": 34.8862,
"value_cny": 243.5367,
"store_type": "PRIME_HOT"
},
{
"coin_name": "BTC",
"amount": 0,
"value": 0.0,
"value_cny": 0.0,
"store_type": "PRIME_COLD"
},
{
"coin_name": "BTC",
"amount": 63420185,
"value": 5484.3833,
"value_cny": 38285.8765,
"store_type": "PRIME_HOT"
},
{
"coin_name": "ETC",
"amount": 95512300000000000,
"value": 0.7603,
"value_cny": 5.3076,
"store_type": "PRIME_HOT"
}
]
},
"successful": null
}